Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002787OCamlOCaml generalpublic2004-06-20 15:282011-12-21 11:38
Reporteradministrator 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.13.0+dev 
Summary0002787: Optimiser Array.blit
DescriptionHello,

La fonction Array.blit (et les autres fonctions du module) pourrait être
pas mal optimisée si elle était écrite en C:

- éviter de tester s'il s'agit d'un tableau de float pour chaque cellule,
- éviter l'appel à Modify pour chaque cellule et faire un appel à memmove
  dans le cas où l'on ne copie pas de la jeune generation vers la
  vieille.

Pour certaines applications qui manipulent beaucoup de tableaux, le gain
doit être sensible. (En l'occurence, la proposition sort d'une discussion
avec Gerd Stolpmann sur des problèmes de lexing Unicode avec buffering, où
l'on manipule des tableaux d'entiers, et l'on a observé que plein de temps
est passé dans Array.blit.)


-- Alain

TagsNo tags attached.
Attached Files

- Relationships
related to 0004591closedxleroy A faster version of Array.sub implemented in C 

-  Notes
(0006433)
xleroy (administrator)
2011-12-21 11:38

Faster implementations of "Array.blit", "Array.copy", "Array.sub", "Array.append" and "Array.concat" now integrated in SVN trunk (commit 11913).

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2008-08-07 14:12 xleroy Relationship added related to 0004591
2011-12-21 11:38 xleroy Note Added: 0006433
2011-12-21 11:38 xleroy Status acknowledged => closed
2011-12-21 11:38 xleroy Resolution open => fixed
2011-12-21 11:38 xleroy Fixed in Version => 3.13.0+dev
2011-12-21 11:38 xleroy Description Updated View Revisions


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker